Subject: bug#55842: 29.0.50; Using shorthand syntax in keymap-global-set

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 09 Jun 2022 19:14:43 +0200

Eli Zaretskii <[email-masked]> writes:

> My point is that (keymap-local-set "\C-\M-i" ...) signals an error,
> and a weird one at that.  I hoped that we could make the APIs fully
> compatible.

The aim with these new functions were to settle on a single syntax for
keys, and the syntax we settled on was the `kbd' one.  You can't
do (keymap-local-set "\C-\M-i" ...) or (keymap-local-set [?\C-\M-i] .. )
or (keymap-local-set [(control meta i)] ...) either -- that was the
whole point of the exercise.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no